# Uses of Enum
org.apache.avro.util.springframework.ConcurrentReferenceHashMap.Restructure

Packages that use ConcurrentReferenceHashMap.Restructure
Package
Description
org.apache.avro.util.springframework

## Uses of ConcurrentReferenceHashMap.Restructure in org.apache.avro.util.springframework

Methods in org.apache.avro.util.springframework that return ConcurrentReferenceHashMap.Restructure
Modifier and Type
Method
Description
`static ConcurrentReferenceHashMap.Restructure`
ConcurrentReferenceHashMap.Restructure.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ConcurrentReferenceHashMap.Restructure[]`
ConcurrentReferenceHashMap.Restructure.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.avro.util.springframework with parameters of type ConcurrentReferenceHashMap.Restructure
Modifier and Type
Method
Description
`protected final ConcurrentReferenceHashMap.Reference<K,V>`
ConcurrentReferenceHashMap.`getReference(Object key, ConcurrentReferenceHashMap.Restructure restructure)`
Return a `ConcurrentReferenceHashMap.Reference` to the `ConcurrentReferenceHashMap.Entry` for the specified `key`, or `null` if not found.
`ConcurrentReferenceHashMap.Reference<K,V>`
ConcurrentReferenceHashMap.Segment.`getReference(Object key, int hash, ConcurrentReferenceHashMap.Restructure restructure)`